Next: strtod, Previous: rand48, Up: Stdlib [Contents][Index]

### 2.36 `rpmatch`—determine whether response to question is affirmative or negative

Synopsis

    #include <stdlib.h>
    int rpmatch(const char *response);

Description
The `rpmatch` function determines whether response is an affirmative or negative response to a question according to the current locale.

Returns
`rpmatch` returns 1 if response is affirmative, 0 if negative, or -1 if not recognized as either.

Portability
`rpmatch` is a BSD extension also found in glibc.